[colors]
background = #DD080808
foreground = ${xrdb:color7}
foreground-alt = ${xrdb:color8}
primary = ${xrdb:color11}
secondary = ${xrdb:color3}
alert = ${xrdb:color9}
fecha = ${xrdb:color10}
wifi = ${xrdb:color12}
cartas = ${xrdb:color13}

[bar/LaBarra]
width = 100%
height = 40
offset-x = 0
offset-y = 0
radius = 0
padding = 2
bottom = true
fixed-center = true
enable-ipc = true
locale = es_AR.UTF-8

background = ${colors.background}
foreground = ${colors.foreground}
line-size = 2
line-color = ${colors.background}
border-size = 2
border-color = ${colors.background}
module-margin = 1

font-0 = "JetBrainsMono Nerd Font:style=Bold:size=16;4"
font-1 = Noto Color Emoji:pixelsize=16:scale=8;1

modules-left = bspwm
modules-center = temp_nvm temp_cpu temp_gpu temp_jun temp_mem
modules-right = wlan correo date tray
override-redirect = false
wm-restack = bspwm

[module/tray]
type = internal/tray
tray-spacing = 10px
tray-padding = 2px

[module/bspwm]
type = internal/bspwm

enable-click = true
enable-scroll = true
reverse-scroll = true
pin-workspaces = true
occupied-scroll = false

ws-icon-0 = 1;TERM
ws-icon-1 = 2;WWW
ws-icon-2 = 3;GAMES
ws-icon-3 = 4;UTIL
ws-icon-4 = 5;SYS
ws-icon-default = "+"

format = <label-state>

label-focused = [ %icon% ]
label-focused-foreground = ${colors.primary}

label-occupied = %icon%
label-occupied-foreground= ${colors.secondary}

label-urgent = ! %icon% !
label-urgent-foreground = ${colors.alert}

label-empty = %icon%
label-empty-foreground = ${colors.foreground-alt}

label-separator = "  "
label-separator-padding = 0

[module/wlan]
type = internal/network
interface = wlp8s0
interval = 3.0

format-connected = <label-connected>
format-disconnected =
label-connected = 📡%signal%
label-connected-foreground = ${colors.wifi}

[module/date]
type = internal/date
interval = 5

date = "%A %F"
time = "%R"

label = %date% %time%
label-foreground = ${colors.fecha}

[module/correo]
type = custom/script
exec = cartas
interval = 300

format = <label>
format-foreground = ${colors.cartas}

label = 📥%output%

[module/temp_mem]
type = internal/temperature

; Full path of temperature sysfs path
; Use `sensors` to find preferred temperature source, then run
; $ for i in /sys/class/hwmon/hwmon*/temp*_input; do echo "$(<$(dirname $i)/name): $(cat ${i%_*}_label 2>/dev/null || echo $(basename ${i%_*})) $(readlink -f $i)"; done
; to find path to desired file
; Default reverts to thermal zone setting
hwmon-path = /sys/devices/pci0000:00/0000:00:01.1/0000:01:00.0/0000:02:00.0/0000:03:00.0/hwmon/hwmon1/temp3_input

base-temperature = 25
warn-temperature = 90

format = <ramp><label>
format-warn = <ramp> <label-warn>
label = VRAM: %temperature-c%
label-warn = VRAM: %temperature-c%
label-warn-foreground = #eb6655
ramp-0 = ❄
ramp-1 = 🌡
ramp-2 = 🔥

[module/temp_gpu]
type = internal/temperature
hwmon-path = /sys/devices/pci0000:00/0000:00:01.1/0000:01:00.0/0000:02:00.0/0000:03:00.0/hwmon/hwmon1/temp1_input

base-temperature = 25
warn-temperature = 90

format = <ramp><label>
format-warn = <ramp> <label-warn>
label = GPU: %temperature-c%
label-warn = GPU: %temperature-c%
label-warn-foreground = #eb6655
ramp-0 = ❄
ramp-1 = 🌡
ramp-2 = 🔥

[module/temp_jun]
type = internal/temperature
hwmon-path = /sys/devices/pci0000:00/0000:00:01.1/0000:01:00.0/0000:02:00.0/0000:03:00.0/hwmon/hwmon1/temp2_input

base-temperature = 25
warn-temperature = 90

format = <ramp><label>
format-warn = <ramp> <label-warn>
label = JUNCTION: %temperature-c%
label-warn = JUNCTION: %temperature-c%
label-warn-foreground = #eb6655
ramp-0 = ❄
ramp-1 = 🌡
ramp-2 = 🔥

[module/temp_cpu]
type = internal/temperature
hwmon-path = /sys/devices/pci0000:00/0000:00:18.3/hwmon/hwmon2/temp1_input

base-temperature = 20
warn-temperature = 80

format = <ramp><label>
format-warn = <ramp> <label-warn>
label = CPU: %temperature-c%
label-warn = CPU: %temperature-c%
label-warn-foreground = #eb6655
ramp-0 = ❄
ramp-1 = 🌡
ramp-2 = 🔥

[module/temp_nvm]
type = internal/temperature
hwmon-path = /sys/devices/pci0000:00/0000:00:02.2/0000:09:00.0/nvme/nvme0/hwmon0/temp1_input

base-temperature = 20
warn-temperature = 70

format = <ramp><label>
format-warn = <ramp> <label-warn>
label = NVMe: %temperature-c%
label-warn = NVMe: %temperature-c%
label-warn-foreground = #eb6655
ramp-0 = ❄
ramp-1 = 🌡
ramp-2 = 🔥

[settings]
screenchange-reload = true

[global/wm]
margin-top = 0

; vim:ft=dosini
